## org.eclipse.jet.core.parser
Class RecursiveIncludeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.core.parser.RecursiveIncludeException

All Implemented Interfaces:
  java.io.Serializable

    public final class RecursiveIncludeException

extends java.lang.Exception

Describes a recursive inclusion.

See Also:
  `ITemplateResolver.getIncludedInput(String, ITemplateInput[])`, Serialized Form

Constructor Summary
`RecursiveIncludeException(java.lang.String templatePath, java.net.URI baseLocation, ITemplateInput[] activeInputs)`

Method Summary
`java.net.URI[]` `getActiveBaseLocations()` Return the base locations of the active templates.
`java.lang.String[]` `getActiveTemplatePaths()` Return the template paths of the active templates.
`java.net.URI` `getBaseLocation()` Return the base location at which the recursion was detected.
`java.lang.String` `getTemplatePath()` Return the template path that would have caused the recursion.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecursiveIncludeException

    public RecursiveIncludeException(java.lang.String templatePath,
                                     java.net.URI baseLocation,
                                     ITemplateInput[] activeInputs)

Method Detail

### getActiveBaseLocations

    public java.net.URI[] getActiveBaseLocations()

  Return the base locations of the active templates. Base locations are returned in order of inclusion. That is, the base location of the most recently included template is the last element in the array.

  Returns:
    an array of base locations
  See Also:
    `getActiveTemplatePaths()`

### getActiveTemplatePaths

    public java.lang.String[] getActiveTemplatePaths()

  Return the template paths of the active templates. Template paths are returned in the order of inclusion. That is, the template path of the most recently included template is the last element in the array.

  Returns:
    an array of template paths

### getBaseLocation

    public java.net.URI getBaseLocation()

  Return the base location at which the recursion was detected.

  Returns:
    the base location.

### getTemplatePath

    public java.lang.String getTemplatePath()

  Return the template path that would have caused the recursion.

  Returns:
    the templatePath

Copyright 2006 IBM Corporation and others. All Rights Reserved.